import request from '@/utils/request';


// 查找辅导员名下班级列表
export function OwnClass(data) {
	return request({
		url: '/system/teacher/countOwnHisAsClass',
		method: 'get'
	})
}

// 新增业绩考核-个人填报 新增
export function kpiFillingAdd(data) {
  return request({
    url: '/teacher/kpiFilling/add',
    method: 'post',
    data: data
  })
}
// 新增业绩考核-个人填报 修改
export function kpiFillingUpdate(data) {
  return request({
    url: '/teacher/kpiFilling/update',
    method: 'post',
    data: data
  })
}
// 新增业绩考核-个人填报列表
// teacher/kpiFilling/list?pageNum=1&pageSize=10&fillingYear=2024
export function kpiFillingList(query) {
  return request({
    url: '/teacher/kpiFilling/list',
    method: 'get',
    data: query
  })
}


//个人填报-学生管理  新增
export function teacherKpiFillingMgtAdd(data) {
  return request({
    url: '/teacher/teacherKpiFillingMgt/add',
    method: 'post',
    data: data
  })
}
//个人填报-学生管理  修改
export function teacherKpiFillingMgtUpdate(data) {
  return request({
    url: '/teacher/teacherKpiFillingMgt/update',
    method: 'post',
    data: data
  })
}
//个人填报-学生管理  查询详情
export function teacherKpiFillingMgtDetail(query) {
  return request({
    url: '/teacher/teacherKpiFillingMgt/getByFdyNameAndYearAndMonth',
    method: 'get',
	data:query
  })
}

//个人填报-业务管理    新增
export function kpiFillingBusinessWorkAdd(data) {
  return request({
    url: '/teacher/kpiFillingBusinessWork/add',
    method: 'post',
    data: data
  })
}

//个人填报-业务管理  修改
export function kpiFillingBusinessWorkUpdate(data) {
  return request({
    url: '/teacher/kpiFillingBusinessWork/update',
    method: 'post',
    data: data
  })
}
//个人填报-业务管理  查询详情
export function kpiFillingBusinessWorkDetail(query) {
  return request({
    url: '/teacher/kpiFillingBusinessWork/getByFdyNameAndYearAndMonth',
    method: 'get',
	data:query
  })
}

//个人填报-考勤管理  新增
export function kpiFillingAMgtAdd(data) {
  return request({
    url: '/teacher/kpiFillingAMgt/add',
    method: 'post',
    data: data
  })
}
//个人填报-考勤管理  修改
export function kpiFillingAMgtUpdate(data) {
  return request({
    url: '/teacher/kpiFillingAMgt/update',
    method: 'post',
    data: data
  })
}
//个人填报-考勤管理  详情
export function kpiFillingAMgtDetail(query) {
  return request({
    url: '/teacher/kpiFillingAMgt/getByFdyNameAndYearAndMonth',
    method: 'get',
    data: query
  })
}

//个人填报-负面清单  新增
export function kpiFillingNegativeListAdd(data) {
  return request({
    url: '/teacher/kpiFillingNegativeList/add',
    method: 'post',
    data: data
  })
}
//个人填报-负面清单  修改
export function kpiFillingNegativeListUpdate(data) {
  return request({
    url: '/teacher/kpiFillingNegativeList/update',
    method: 'post',
    data: data
  })
}
//个人填报-负面清单  详情
export function kpiFillingNegativeListDetail(query) {
  return request({
    url: '/teacher/kpiFillingNegativeList/getByFdyNameAndYearAndMonth',
    method: 'get',
    data: query
  })
}

